package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 附件result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/8/15
 */
public class AttachmentResult implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "附件url")
    String url;

    @ApiModelProperty(value = "预览url")
    String previewUrl;

    @ApiModelProperty(value = "小程序签名key")
    String key;

    public AttachmentResult() {

    }

    public AttachmentResult(Long id, String previewUrl, String url,String key) {
        this.id = id;
        this.previewUrl = previewUrl;
        this.url = url;
        this.key = key;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getPreviewUrl() {
        return previewUrl;
    }

    public void setPreviewUrl(String previewUrl) {
        this.previewUrl = previewUrl;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

}
